<template>
  <aside id="sidebar" class="sidebar">
    <div class="sidebar-content">
      <SideBarLoginButton v-if="!isAuthenticated"/>
      <SideBarProfile v-else/>
      <nav>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 1 }}" class="flex-parent" >
            <div class="nav-icon nav-icon-1"></div>
            1 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 2 }}" class="flex-parent" >
            <div class="nav-icon nav-icon-2"></div>
            2 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 3 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-3"></div>
            3 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 4 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-4"></div>
            4 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 5 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-5"></div>
            5 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 6 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-6"></div>
            6 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 7 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-7"></div>
            7 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 8 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-8"></div>
            8 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 9 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-9"></div>
            9 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 10 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-10"></div>
            10 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 11 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-11"></div>
            11 Класс</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Category', params: { id: 12 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-12"></div>
            12 Класс</router-link>
        </div>
        <div class="nav-item flex-parent sidebar-nav-space">
          <router-link :to="{ name: 'Category', params: { id: 13 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-13"></div>
            Другие</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{ name: 'Favorites', params: { id: 1 }}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-14"></div>
            Избранное</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{name: 'NewsList'}" class="flex-parent">
            <div class="nav-icon nav-icon-15"></div>
            Новости</router-link>
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{name: 'Settings'}" class="flex-parent">
            <div class="nav-icon nav-icon-16"></div>
            Настройки</router-link >
        </div>
        <div class="nav-item flex-parent">
          <router-link :to="{name: 'FAQ'}" href="" class="flex-parent">
            <div class="nav-icon nav-icon-17"></div>
            FAQ</router-link>
        </div>
        <div class="nav-item flex-parent sidebar-nav-space">
          <a href="" class="flex-parent">
            <div class="nav-icon nav-icon-18"></div>
            О проекте</a>
        </div>
        <div class="nav-item flex-parent sidebar-nav-space" v-if="isAuthenticated">
          <a href="" class="flex-parent" @click="logout">
            <div class="nav-icon nav-icon-19"></div>
            Выйти</a>
        </div>
      </nav>
    </div>
  </aside>
</template>

<script>
import SideBarProfile from "@/components/user/SideBarProfile";
import SideBarLoginButton from "@/components/user/SideBarLoginButton";

export default {
  name: 'SideBar',
  components: {
    SideBarProfile,
    SideBarLoginButton
  },
  methods:{
    logout(){
      this.$store.dispatch('logout')
    }
  },
  computed:{
    isAuthenticated (){
      return this.$store.getters.isAuthenticated
    }
  }

}
</script>
